'use strict';

exports.__esModule = true;
exports.default = undefined;

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Chat = (_temp = _class = function (_Component) {
  _inherits(Chat, _Component);

  function Chat(props) {
    _classCallCheck(this, Chat);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props));

    _this.onClick = function (e) {
      var onClick = _this.props.onClick;

      if (onClick) {
        onClick(Object.getArgs(e, _this.props.args));
        e.stopPropagation();
      }
    };

    _this.onClickContent = function (e) {
      if (_this.props.onClickContent) {
        _this.props.onClickContent(Object.getArgs(e, _this.props.args));
        e.stopPropagation();
      }
    };

    _this.onClickAvatar = function (e) {
      if (_this.props.onClickAvatar) {
        _this.props.onClickAvatar(Object.getArgs(e, _this.props.args));
        e.stopPropagation();
      }
    };

    _this.state = {};
    return _this;
  }

  Chat.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        style = _props.style,
        className = _props.className,
        showAvatar = _props.showAvatar,
        avatarSrc = _props.avatarSrc,
        avatarClassName = _props.avatarClassName,
        avatarStyle = _props.avatarStyle,
        avatarAfter = _props.avatarAfter,
        author = _props.author,
        authorClassName = _props.authorClassName,
        authorStyle = _props.authorStyle,
        contentClassName = _props.contentClassName,
        contentStyle = _props.contentStyle,
        children = _props.children;

    return _react2.default.createElement(
      'div',
      { ref: function ref(el) {
          _this2.$el = el;
        }, className: 'chat' + (className ? ' ' + className : ''), style: style, onClick: this.onClick },
      showAvatar && _react2.default.createElement(
        'div',
        { className: 'chat-photo', onClick: this.onClickAvatar },
        _react2.default.createElement(
          'div',
          { className: 'chat-avatar' + (avatarClassName ? ' ' + avatarClassName : ''), style: Object.assign(avatarSrc ? { backgroundImage: 'url(' + avatarSrc + ')' } : {}, avatarStyle) },
          avatarAfter
        ),
        author && _react2.default.createElement(
          'div',
          { className: 'chat-author' + (authorClassName ? ' ' + authorClassName : ''), style: authorStyle },
          author
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'chat-content-box' },
        _react2.default.createElement(
          'div',
          { onClick: this.onClickContent, className: 'chat-content' + (contentClassName ? ' ' + contentClassName : ''), style: contentStyle },
          children
        )
      )
    );
  };

  return Chat;
}(_react.Component), _class.defaultProps = {
  args: null
}, _temp);
exports.default = Chat;
Chat.propTypes = process.env.NODE_ENV !== "production" ? {
  args: _propTypes2.default.any,
  style: _propTypes2.default.object,
  className: _propTypes2.default.string,
  onClick: _propTypes2.default.func,

  showAvatar: _propTypes2.default.bool,
  avatarClassName: _propTypes2.default.string,
  avatarStyle: _propTypes2.default.object,
  avatarSrc: _propTypes2.default.string,
  avatarAfter: _propTypes2.default.node,
  onClickAvatar: _propTypes2.default.func,

  author: _propTypes2.default.string,
  authorClassName: _propTypes2.default.string,
  authorStyle: _propTypes2.default.object,

  contentClassName: _propTypes2.default.string,
  contentStyle: _propTypes2.default.object,
  onClickContent: _propTypes2.default.func,

  children: _propTypes2.default.node
} : {};
module.exports = exports['default'];